[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.GetAdjustedLogicalClientRect

Returns the adjusted logical ClientRect, using the cached value when available.

## Declaration

Source position: controls.pp line 2156

`protected procedure TWinControl.GetAdjustedLogicalClientRect(`
`out ARect: TRect`
`);`

## Arguments

`ARect` |  | Output variable with the client bounds adjusted for borders, bevels, edges, or indentation used on the control.

## Description

GetAdjustedLogicalClientRect is a method used to get the client rectangle for the control, and adjust the values for any additional space needed for the control. It calls the AdjustClientRectangle method to apply any additional spacing required for borders, bevels, edges, indentation, etc. In TWinControl, no additional space is required. Descendent classes may have different requirements.

GetAdjustedLogicalClientRect is used to implement the CheckSidePosition method in TAnchorSide.

## See also

TControl.ClientRect |  | Size of the client area for the control.
TWinControl.AdjustClientRect |  | Override this method when the ClientRect for a control differs from the default value.
TAnchorSide.CheckSidePosition |  | Checks for anchor cycles and invalid targets, and returns information about the target side.
TWinControlFlag |  | State flags of TWinControl.